%define         basever 0.8.2

Name:           compizconfig-backend-gconf
Version:        0.8.2
Release:        3%{?dist}
Summary:        GConf backend for compizconfig

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libcompizconfig-devel >= %{basever}, GConf2-devel
BuildRequires:  intltool, libtool
# backend-gconf requires the gconf schemas from compiz-gnome to work
Requires:       compiz-gnome >= %{basever}
# upstream patches
# http://gitweb.compiz.org/?p=fusion/compizconfig/compizconfig-backend-gconf;a=commitdiff;h=f67aaea7e1161b221423d6015c38e6d7dd0af32d
Patch100:       compizconfig-backend-gconf-f67aaea7e1161b221423d6015c38e6d7dd0af32d.patch


# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64 

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the Gconf backend for libcompizconfig

%prep
%setup -q
%patch100 -p1 -b .compizconfig-backend-gconf


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/compizconfig/backends/libgconf.so

%changelog
* Sat Dec 26 2009 Leigh Scott <leigh123linux@googlemail.com> - 0.8.2-3
- add patch to fix keybindings. (bug #550691)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Leigh Scott <leigh123linux@googlemail.com> 0.8.2-1
- update to 0.8.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 4 2008  Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.8-1
- update to 0.7.8

* Mon Jun 09 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.6-1
- 0.7.6 update

* Tue Mar 25 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.2-1
- 0.7.2 update

* Wed Jan 09 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-4
- patched also the configure script

* Tue Jan 08 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-3
- applied gcc43 buildfix

* Thu Oct 25 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-2
- added Requires compiz-gnome for the gconf schemas

* Wed Oct 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-1
- official 0.6.0 release


* Sat Oct 20 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.2.20071019git
- removed AUTHORS & INSTALL
- removed glib BR

* Fri Oct 19 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.1.20071019git
- 0.6.0 branch

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- Initial package
